summaryrefslogtreecommitdiff
path: root/dev-python/pastedeploy
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/pastedeploy
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/pastedeploy')
-rw-r--r--dev-python/pastedeploy/Manifest2
-rw-r--r--dev-python/pastedeploy/metadata.xml18
-rw-r--r--dev-python/pastedeploy/pastedeploy-2.0.1-r1.ebuild40
-rw-r--r--dev-python/pastedeploy/pastedeploy-2.1.0.ebuild40
4 files changed, 100 insertions, 0 deletions
diff --git a/dev-python/pastedeploy/Manifest b/dev-python/pastedeploy/Manifest
new file mode 100644
index 000000000000..9d54826cff49
--- /dev/null
+++ b/dev-python/pastedeploy/Manifest
@@ -0,0 +1,2 @@
+DIST pastedeploy-2.0.1.tar.gz 32215 BLAKE2B a398c54813fa990e3f12ba7c66615e3e84e848ce0dc57177f7f76114a544a11f89569ac85f16afb1ee392a08ad06eb6b4f0cc5aa3f328d154643c541fcafa7bd SHA512 be50c434765d5a913f9456527a72bd88e778e947b1db99ee4ea2f3325366038d941bdab6c826bd61f0c1eb1618395e6bca2081ac99b5ca50aa7120406d5f4ce3
+DIST pastedeploy-2.1.0.tar.gz 32240 BLAKE2B 1672e3b48a287f57e9e7fca082e4cd07cea770db1c2ae0012a83dc8ec927d83bf94461a69c7afdbed082c72506eb46c0c5db15e5f0bc24ad7a4212efb9f6696e SHA512 2c639b5ad07faee013ff3fe37d0e3c6ca7b56ed0960dbcaf133c05d51a7f29d6a2f35118bd8faea4d9aca90438c43d8046a340833878e4b925f32142df169c97
diff --git a/dev-python/pastedeploy/metadata.xml b/dev-python/pastedeploy/metadata.xml
new file mode 100644
index 000000000000..fdda168aa778
--- /dev/null
+++ b/dev-python/pastedeploy/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription lang="en">Paste Deployment is a system for finding and configuring WSGI applications
+ and servers. For WSGI application consumers it provides a single, simple
+ function (loadapp) for loading a WSGI application from a configuration file
+ or a Python Egg. For WSGI application providers it only asks for a single,
+ simple entry point to your application, so that application users don't need
+ to be exposed to the implementation details of your application.</longdescription>
+ <upstream>
+ <remote-id type="pypi">PasteDeploy</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/pastedeploy/pastedeploy-2.0.1-r1.ebuild b/dev-python/pastedeploy/pastedeploy-2.0.1-r1.ebuild
new file mode 100644
index 000000000000..69b46160987d
--- /dev/null
+++ b/dev-python/pastedeploy/pastedeploy-2.0.1-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="PasteDeploy"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Load, configure, and compose WSGI applications and servers"
+HOMEPAGE="https://pypi.org/project/PasteDeploy/"
+# pypi tarball does not include tests
+SRC_URI="https://github.com/Pylons/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="doc"
+
+RDEPEND="dev-python/namespace-paste[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i 's:"pytest-runner"::' setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ use doc && dodoc docs/*.txt
+ find "${D}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/pastedeploy/pastedeploy-2.1.0.ebuild b/dev-python/pastedeploy/pastedeploy-2.1.0.ebuild
new file mode 100644
index 000000000000..fd89fee1c975
--- /dev/null
+++ b/dev-python/pastedeploy/pastedeploy-2.1.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="PasteDeploy"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Load, configure, and compose WSGI applications and servers"
+HOMEPAGE="https://pypi.org/project/PasteDeploy/"
+# pypi tarball does not include tests
+SRC_URI="https://github.com/Pylons/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="doc"
+
+RDEPEND="dev-python/namespace-paste[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i 's:"pytest-runner"::' setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ use doc && dodoc docs/*.txt
+ find "${D}" -name '*.pth' -delete || die
+}